package com.product.kt.test.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.product.core.controller.support.AbstractBaseController;
import com.product.core.entity.FieldSetEntity;
import com.product.core.exception.BaseException;
import com.product.kt.test.service.ToolsThread;
import com.product.module.sys.version.ApiVersion;
import com.product.util.BaseUtil;

@RequestMapping("/api/testSync")
@RestController
public class TestAsyncController extends AbstractBaseController{

	@Autowired
	ToolsThread toolsThread;
	
	/**
	 * 	测试拉取数据
	 * @param request
	 * @return
	 */
	@PostMapping("/test-sync/{version}")
    @ApiVersion(1)
	public String listMonitor(HttpServletRequest request) {
		try {
			FieldSetEntity fse = BaseUtil.getFieldSetEntity(request);
			toolsThread.receiveBookJobRun();
			return OK();
		} catch (BaseException e) {
            e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null; 
	}
}
