package com.product.kt.test.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.product.core.dao.BaseDao;
import com.product.core.entity.FieldSetEntity;
import com.product.datasource.dao.Dao;
import com.product.datasource.entity.DataBaseEntity;


/**
 *  写入数据工具类
 * @author 86151
 *
 */
@Component
public class WriteToolService {

	@Autowired
	BaseDao baseDao;
	
	//目标数据源
	private final String targetDataSource="72ae6820-3b78-4f60-841a-63ed50114e37";
		
	public void writeData(List<FieldSetEntity> listFse){
		
		//获取数据同步配置
		FieldSetEntity sourceDataSourceFse = baseDao.getFieldSetEntity("product_sys_data_sync_manager", targetDataSource, false);
		DataBaseEntity sourceDbe = new DataBaseEntity(sourceDataSourceFse);
		Dao sourceDao = sourceDbe.getDao();
		
		for (int i = 0; i < listFse.size(); i++) {
			sourceDao.add(listFse.get(i));
		}
	}
}
